#version 330 core

in vec2 UV;
uniform sampler2D inputtex;
uniform sampler2D vignette;
out vec4 color;

void main(){
    color = vec4(sqrt(texture(vignette, UV).rgb) * texture(inputtex, UV).rgb, 1.0);
}
